Bug 91683 - gs (invoked from ggv) eats CPU and RAM, triggers swap storm
gs (invoked from ggv) eats CPU and RAM, triggers swap storm
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-27 02:57 EDT by Warren Togami
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-14 04:24:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2003-05-27 02:57:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030509

Description of problem:
http://www.togami.com/~warren/archive/2003/samsung.pdf

When I attempt to view this PDF using ggv, my laptop became completely locked up
for about a minute as a swap storm ensues in the background.  From a remote ssh
terminal it appeared that a "gs" process using 100% CPU, ate 512MB RAM and was
causing heavy swapping.  Eventually about a minute later memory freed up and the
system became responsive again.  GGV window opened displaying the PDF file.

When you first run ggv, a gs process grows beyond 500MB in memory, using 100%
CPU.  Eventually this subsides and uses 100% CPU with very little RAM usage. 
Then finally the ggv window opens, and for 20 seconds it draws the PDF in the
window from the bottom up.  (1GHz Athlon)

xpdf and kghostview do not take anywhere near this amount of RAM or CPU when
viewing this document.

Version-Release number of selected component (if applicable):
ghostscript-7.07-2
ggv-1.99.97-2

How reproducible:
Always

Steps to Reproduce:
1. Download that PDF.
2. Read it with ggv.
    
Actual Results:  
Carnage ensues.

Expected Results:  
Should be quick like xpdf or kghostview.
Comment 1 Tim Waugh 2003-05-27 10:01:15 EDT
To reproduce the problem outside ggv:

gs -q -dNOPAUSE -dBATCH -dSAFER -dQUIET -sDEVICE=pswrite -sOutputFile=/dev/null
-f samsung.pdf
Comment 2 Warren Togami 2003-07-15 19:03:36 EDT
http://www.egovos.org/pdf/dodfoss.pdf
Another PDF which exhibits this problem.
Comment 3 Warren Togami 2003-09-09 02:51:59 EDT
Still broken in latest post-Severn rawhide ghostscript-7.07-10

Comment 4 Warren Togami 2003-12-14 04:24:45 EST
Both test cases seem to work in ggv with FC1 + all updates.

Note You need to log in before you can comment on or make changes to this bug.